Skip to main content
Updates the information about vendors in the dataset.

HTTP request

PUT https://api-{location-id}.flexicapture.com/v2/dataset/vendors
Replace {location-id} with your supported location.

Request body

The request body has the following structure:
{
  "region": "US",
  "vendors": [
    {
      "external_id": "string",
      "business_unit_id": "string",
      "name": [
        "string"
      ],
      "street": [
        "string"
      ],
      "city": [
        "string"
      ],
      "state": [
        "string"
      ],
      "zip": [
        "string"
      ],
      "country_code": "string",
      "vat": [
        "string"
      ],
      "national_vat": [
        "string"
      ],
      "iban": [
        "string"
      ],
      "bank_account": [
        "string"
      ],
      "bank_code": [
        "string"
      ],
      "gl_code": [
        "string"
      ]
    }
  ]
}
FieldTypeDescription
modelbody, object(UpdateVendorsModel)Required. List of vendors.

UpdateVendorsModel

FieldTypeDescription
regionstringRequired. Vendors’ region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.
vendors[]object(VendorModel)Required. List of vendors.

VendorModel

FieldTypeDescription
external_idstringRequired. External vendor’s ID.
business_unit_idstringRequired. Business unit ID.
name[]stringRequired. Vendor name.
street[]stringOptional. Vendor street.
city[]stringOptional. Vendor city.
state[]stringOptional. Vendor state.
zip[]stringOptional. Vendor zip code.
country_codestringRequired. Country code in ISO 3166-1 alpha-2 format.
vat[]stringOptional. Tax payer ID.
national_vat[]stringOptional. National tax payer ID.
iban[]stringOptional. International bank account number.
bank_account[]stringOptional. Bank account ID.
bank_code[]stringOptional. Bank code.
gl_code[]stringOptional. General ledger code.

Response

If successful, the server returns a 204 No Content HTTP status.